#include "sys/x11/dark_theme.h"
#include "sys/x11/settings.h"
#include "sys/glib/dark_theme.h" /* glib::IsGTKThemeDark */

#include <iostream>

namespace x11 {

bool IsInDarkTheme() {
	SettingsItem setting;
	if (!FindSetting(u8"Net/ThemeName", setting))
		return false;

	return glib::IsGTKThemeDark(setting.data.string);
}

} // namespace glib
